/*LIBS*/
@import "../scss/flexslider";
@import "../scss/pymes";
@import "../scss/colors";
@import "../scss/ui-datepicker";
$prefix:pymes;

/*CUSTOM*/
body{
  line-height: 25px;
  color: #757575;
}
h1{
  color: #252525;
}
.wrap-head{
  position: absolute;
  top:0;
  width:100%;
  z-index: 200;
}
.c-black{
  color:black;
}
.z-top{
  border-bottom: 1px solid rgba(4, 16, 33, 0.3);
  background-color: rgba(4, 16, 33, 0.2);
  color: #fff;
  a {
    font-size: 13px;
    color: #fff;
    font-weight: 500;
    line-height: 25px;
    text-transform: uppercase;
  }
  .fa{
    font-size:12px;
  }
}

.z-head{
  background-color: rgba(4, 16, 33, 0.2);
  color: #fff;
  z-index: 200;
  transition: all 200ms ease-in 0s;
  .navbar{
    max-width: 1140px;
    margin:0px auto;
    a {
      text-transform: uppercase;
      transition: all 200ms ease-in 0s;
      color: #f9f9f9;
      font-family: 'Josefin Sans', sans-serif;
      text-shadow: 0px 0px 1px black;
      &:hover, &:focus{
      color: #f5f5f5;
      text-shadow: 1px 0px 2px black;
      }
    }
    .logo{
      max-height: 45px;
    }
  }
  &.fixed-top {
    background: #252525;
    .navbar{
      transition: all 200ms ease-in 0s;
      background: #252525;
    }
  }
}
.icon-bar{
background:white;
}
.block {
  padding: 50px 0;
  margin-top:15px;
}
.card {
  .btn {
    border-top-left-radius: 0;
    border-top-right-radius: 0;
    border: 0;
  }
}
.zone-slider{
  position: relative;
  background: no-repeat scroll bottom center / cover;
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  min-height: 255px;
}
h3, h4{
  font-size: 20px;
  font-family: 'Josefin Sans', sans-serif;
  margin-top: 0;
  margin-bottom: 20px;
  padding-top: 0;
  text-transform: capitalize;
  &:after {
    background: #1ba47f none repeat scroll 0 0;
    content: "";
    display: block;
    height: 2px;
    margin-top: 13px;
    width: 40px;
  }
  a{
    color: #252525 !important;
    &:hover,&:focus{
    text-decoration:none;
    }
  }
}
.room-teaser-list{
  .btn{
    text-decoration: uppercase;
    i{
      font-size: 12px;
      padding-left: 10px;
      transition: all 0.5s ease 0s;
    }
    &:hover i {
      padding-left: 15px;
      transition: all 0.5s ease 0s;
    }
  }
}
.footer{
  background: #1e1e1e none repeat scroll 0 0;
  color: #797979;
  h4 {
    color: #fff;
    font-size: 16px;
    margin-bottom: 24px;
    margin-top: 0;
    text-transform: uppercase;

  }
  a{
    color: #797979;
    &:hover, &:focus{
      text-decoration: none;
    }
  }
  .in-touch{
    font-size: 1.1rem;
    i {
      margin: 2px 5px;
      width: 16px;
    }
  }
  li a {
    line-height: 28px;
    display:block;
  }
}
/* Small devices (landscape phones, 576px and up) */
@media (min-width: 576px) {}

/* Medium devices (tablets, 768px and up) */
@media (min-width: 768px) {
  .z-head {
    .navbar .logo {
      max-height: 55px;
    }
    &.fixed-top .navbar {
      .logo {
        max-height: 45px;
      }
      a {
        &:hover, &:focus{
        text-shadow: 2px 0px 2px #6b6b6b;
        }
      }
    }
  }
}

/* Large devices (desktops, 992px and up) */
@media (min-width: 992px) {
  .z-head {
    .navbar .logo {
      max-height: 75px;
    }
    &.fixed-top .navbar .logo {
      max-height: 45px;
    }
  }
  .room-teaser-list{
    h3{
      font-size: 40px;
    }
  }
}

/* Extra large devices (large desktops, 1200px and up) */
@media (min-width: 1200px) {}
/* Colores */

/* Color */
@each $css, $color, $text, $hover, $link, $opposite, $light in $darks {
  .#{$prefix}#{$css} {
    .ui-datepicker{
      border-color:$color;
      box-shadow: 0 0 8px rgba($color,.6);
      .ui-datepicker-calendar
      {
        td a{
            color:$color;
        }
        .ui-datepicker-current-day{
            background-color:$color;
            a{color:$text;}
        }
      }
    }
    .main a{
    color:darken($color,10%);
    }
    .teaser a {
        color: darken($color,10%);
    }
    a.btn {
        color: white;
    }
    .text-main{
        color:$color;
    }
    .text-inverse{
        color:$text;
    }
    .btn-main{
        background-color: $color;
        border-color: darken($color,8%);
        color:$text;
        &:hover{
            background-color: darken($color,8%);
        }
        &:focus{
            -webkit-box-shadow: 0 0 0 2px rgba($color,.5);
            box-shadow: 0 0 0 2px rgba($color,.5);
        }
    }
    h3,h4{
      &:after {
      background-color: $color;
     }
    }
    .btn-opposite{
      background-color: $opposite;
      border-color: darken($opposite,5%);
      color:$text;
      &:hover{
          background-color: darken($opposite,4%);
      }
      &:focus{
        -webkit-box-shadow: 0 0 0 2px rgba($color,.5);
        box-shadow: 0 0 0 2px rgba($color,.5);
      }
    }
    .form-control:focus {
        border-color: $color;
    }
    .bg-main{
      background-color: $color;
      color: $text;
    }
    .footer{
      a{
        &:hover,&:focus{
          color:$color;
        }
      }
    }
  }
}
.scroll-button {
  border-radius: 50%;
  .fa-angle-up:before {
    content: "\f062";
  }
}